//
//  GiphyResponse.swift
//  LiveLikeGiphyChallenge
//
//  Created by Irina Smokvarska on 1/30/22.
//

import Foundation
import CloudKit

// MARK: - GiphyResponse
struct GiphyResponse: Decodable {
  let data: [GiphyData]
  let pagination: Pagination
  let meta: Meta
}

// MARK: - GiphyData
struct GiphyData: Codable, Hashable {
  let type: String
  let id: String
  let title: String
  var images: Original
  
  static func == (lhs: GiphyData, rhs: GiphyData) -> Bool {
    lhs.type == rhs.type && lhs.id == rhs.id && lhs.title == rhs.title && lhs.images.original.url == rhs.images.original.url
  }
}

// MARK: - Pagination
struct Pagination: Decodable {
  let total_count: Int
  let count: Int
  let offset: Int
}

// MARK: - Meta
struct Meta: Decodable {
  let status: Int
  let msg: String
  let response_id: String
}

// MARK: - Original
struct Original: Codable, Hashable {
  let original: OriginalData
}

// MARK: - OriginalData
struct OriginalData: Codable, Hashable {
  let url: String
}
