//
//  GifImage.swift
//  LiveLikeGiphyChallenge
//
//  Created by Irina Smokvarska on 1/30/22.
//

import SwiftUI
import SwiftyGif

struct GifImage: UIViewRepresentable {
  
  private let url: URL

  init(url: URL) {
    self.url = url
  }
  
  func makeUIView(context: Context) -> UIView {
    let view = UIView()
    let imgView = UIImageView(gifURL: url, manager: .defaultManager, loopCount: 3)
    let loader = UIActivityIndicatorView(style: .medium)
    imgView.setGifFromURL(url, customLoader: loader)
    imgView.frame = view.bounds
    imgView.translatesAutoresizingMaskIntoConstraints = false
    imgView.startAnimating()
    view.addSubview(imgView)
    NSLayoutConstraint.activate([
      imgView.heightAnchor.constraint(equalTo: view.heightAnchor),
      imgView.widthAnchor.constraint(equalTo: view.widthAnchor)
    ])
    
    return view
  }

  func updateUIView(_ uiView: UIView, context: Context) {
    
  }
}
