# LiveLike iOS Code Challenge
Welcome to the LiveLike iOS Code Challenge. The goal of this exercise is to create an app that allows you to search for animated GIFs and display trending ones using the [GiphyAPI](https://developers.giphy.com/docs/api#quick-start-guide)
> Please follow instructions in the **Submission** section to correctly submit your project.

## Project
The ideal final form of this app would have the following:
- A search bar to type in a search term
- A list of the GIFs from the search results
- When the search bar has no search term in it, the view should display the [trending GIFs](https://developers.giphy.com/docs/api/endpoint#trending)
- As the user types in a search term, the results view should update with the relevant results

### Hard Requirements
-   **Use of third party frameworks is not permitted,** GiphySDK, AFNetworking to name a few 
-  You must handle all functionality using native iOS frameworks, ex. http requests 
-  Please manually write all UI code using Auto Layout Constraints
-  The code needs to compile and run in the simulator
-  The code should not crash under normal usage (searching, scrolling, rotation)
-  All code must be written in Swift
-  The project should run out of the box in the latest (non-beta) version of Xcode

### Extra Credit
Any of these would be considered extra credit  
-   The GIFs in the results animate using native iOS functionality
-   Implement some sort of a caching mechanism
-   Unit Tests
-   Pagination / Infinte Scroll

## Submission
-   Create an account with **code.livelike.com**
-   Fork the repository into your local environment
-   Implement as much as you can, you have roughly 72 hours. There is no wrong or right answer.
-   To submit your project **you must submit it as a Pull Request**
